restinio::impl::sendfile_operation_base_t Class Referenceabstract

Base class for storing sendfile operation context. More...

`#include <sendfile_operation.hpp>`

Inheritance diagram for restinio::impl::sendfile_operation_base_t:

## Public Member Functions

virtual | ~sendfile_operation_base_t ()=default
virtual void | start ()=0

## Detailed Description

Base class for storing sendfile operation context.

Definition at line 26 of file sendfile_operation.hpp.

## Constructor & Destructor Documentation

## ~sendfile_operation_base_t()

virtual restinio::impl::sendfile_operation_base_t::~sendfile_operation_base_t | ( |  | ) |

virtualdefault

## Member Function Documentation

## start()

virtual void restinio::impl::sendfile_operation_base_t::start | ( |  | ) |

pure virtual

Implemented in restinio::impl::sendfile_operation_runner_t< Socket >, restinio::impl::sendfile_operation_runner_t< Socket >, and restinio::impl::sendfile_operation_runner_t< asio_ns::ip::tcp::socket >.

The documentation for this class was generated from the following file:

- restinio/impl/sendfile_operation.hpp